Gallery Platform API
Reference

Get an artist

Get one of the gallery's artists by id.

GET
/gallery/artists/{id}

Get one of the gallery's artists by id.

Authorization

bearerAuth artists:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artists:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "name": "string",  "sort_name": "string",  "nationality": "string",  "birth_year": -9007199254740991,  "death_year": -9007199254740991,  "biography": "string",  "website_url": "string",  "pronouns": "string",  "birthplace": "string",  "based_in": "string",  "statement": "string",  "cv_url": "string",  "socials": {    "property1": "string",    "property2": "string"  },  "public_email": "string",  "public_phone": "string",  "visibility": "private",  "created_at": "string"}